<?php
// default module template
// use this to create modules for houses
// Author: Chaosmaker <webmaster@chaosonline.de>

// all function names MUST end with the module's name (as in $info['modulename'])!!!
// hint: use search&replace ;) replace 'bathroom' with your module's (internal) name.
function module_getinfo_bathroom() {
	$info = array(
					'modulename'=>'bathroom', 		// internal name; use letters, numbers and underscores only!
					'modulefile'=>basename(__FILE__), 				// filename of the module; if you allow to rename the script, do NOT change this!
					'moduleauthor'=>'Hadriel', 				// the author's name
					'moduleversion'=>'1.0',							// the module's version number
					'built_in'=>'1',										// '1', if each house should have this module built-in; otherwise '0'
					'linkcategory'=>'Zimmer',						// the category (in houses.php's menu) under which the link to this module should be shown
					'linktitle'=>'Baderaum',				// the link title of the module
					'showto'=>'owner,guest'								// who should use this module? possible options: 'owner', 'guest' and 'owner,guest'
	);
	return $info;
}

function module_install_bathroom() {
	// insert data into module table - do NOT change this (well... just change the function name ;))!
	$info = module_getinfo_bathroom();
	$sql = "INSERT INTO housemodules
				(modulefile, modulename, moduleversion, moduleauthor, built_in, linkcategory, linktitle,showto)
				VALUES ('{$info['modulefile']}','{$info['modulename']}','{$info['moduleversion']}','{$info['moduleauthor']}','{$info['built_in']}','{$info['linkcategory']}','{$info['linktitle']}','{$info['showto']}')";
	db_query($sql);
	$moduleid = db_insert_id(LINK);

	// insert global module data (you can add several entries - but do NOT
	// change anything else than "FieldName" and FieldValue"!)
	/*
	$sql = 'INSERT INTO housemoduledata (moduleid, name, houseid, value)
				VALUES ('.$moduleid.',"FieldName",0,"FieldValue")';
	db_query($sql);
	*/

	// here you can change everything else needed (e.g. adding settings)
	// be careful: these changes must be global; per-house-changes will be done
	// in module_build()!
}

function module_uninstall_bathroom() {
	// uninstalling the module
	// this function should also contain all module_destroy contents

	// getting moduleid - do NOT change this (same as above... the function name should be changed)!
	$info = module_getinfo_bathroom();
	$moduleid = getmoduleid($info['modulename']);

	// deleting module from db - do NOT change this!
	$sql = 'DELETE FROM housemodules WHERE moduleid='.$moduleid;
	db_query($sql);

	// deleting internal module data - do NOT change this!
	$sql = 'DELETE FROM housemoduledata WHERE moduleid='.$moduleid;
	db_query($sql);

	// here you should delete all other added things (e.g. settings) of this module
}

function module_build_bathroom($houseid) {
	// this is only needed if 'built_in' in module_info() is set to 0

	// getting moduleid - do NOT change this (function name... blablabla)!
	$info = module_getinfo_bathroom();
	$moduleid = getmoduleid($info['modulename']);

	// setting flag for house - do NOT change this!
	$sql = 'INSERT INTO housemoduledata (moduleid, name, houseid, value)
				VALUES ('.$moduleid.',"#activated#",'.$houseid.',"1")';
	db_query($sql);

	// here you can change everything else needed (e.g. changing user settings)
	// be careful: these changes must be for this house only; global changes will be done
	// in module_install()!
}

function module_destroy_bathroom($houseid) {
	// this is only needed if 'built_in' in module_info() is set to 0

	// getting moduleid - do NOT change this (function name... moooooooooh!)!
	$info = module_getinfo_bathroom();
	$moduleid = getmoduleid($info['modulename']);

	// deleting module data of this house - do NOT change this!
	$sql = 'DELETE FROM housemoduledata WHERE moduleid='.$moduleid.' AND houseid='.$houseid;
	db_query($sql);

	// here you should delete all other added things (e.g. user settings) of this module and house
}

function module_show_bathroom() {
	// this is the main part of the module where all output is done ;)
	// don't forget the navs; only the default module does not need them (but may add some)
	// to return to the main module, use this link: houses.php?op=drin&module (without id!)
	// don't forget 'global $session;' if you need the player's data (and you WILL need them!)
        global $session;

	addcommentary();

        if($_GET[act]==""){
        output("Du betrittst den kleinen Baderaum des Hauses. Du siehst einige Gegenstnde.`n`n`n`n`n");
	viewcommentary("bad-".$session['user']['specialmisc']['houseid'],"Mit Mitbewohnern reden:",20,"sagt");
        addnav("Zhne putzen","houses.php?op=drin&act=cleandent");
        addnav("Waschen","houses.php?op=drin&act=wash");
        
        }else if($_GET[act]=="cleandent"){
            if(!$session[cleandent]){
                $session[cleandent]=true;
                $session[user][charm]++;
                output("Du putzt dir die Zhnen und erhltst somit einen Charmepunkt.");
                }else{
                output("Du hast heute schon zhne geputzt.");
            }
         }else if($_GET[act]=="wash"){
         if(!$session[wash]){
                $session[wash]=true;
                output("Du wschst dich und");
		$session['user']['clean']=0;
                  if(e_rand(1,5)<3){
                    output(" erhltst einen Charmepunkt.");
                    $session[user][charm]++;
                    }else{
                    output(" fhlst dich frisch.");
                    }
                }else{
                output("Du hast dich heute schon gewaschen.");
            }
         }
         addnav("Zurck","houses.php?op=drin&module=");
	$sql = "SELECT name,description FROM items WHERE value1={$session['user']['specialmisc']['houseid']} AND class='Mbel' ORDER BY class,id ASC";
	$result = db_query($sql) or die(db_error(LINK));
	 for ($i=1;$i<=db_num_rows($result);$i++){
		$item = db_fetch_assoc($result);
			if ($item[name]=="Badezimmerteppich") output("`n`9Badezimmerteppich`0 (`i$item[description]`i)");
			if ($item[name]=="Badezimmerschrank") output("`n`&Badezimmerschrank`0 (`i$item[description]`i)");
			if ($item[name]=="Groer Spiegel") output("`n`^Groer Spiegel`0 (`i$item[description]`i)");
			if ($item[name]=="Marmorwanne") output("`n`&Ma`7rm`&or`7wa`&nne`0 (`i$item[description]`i)");
		}
	// uncomment these lines if you want to show the default navs even if this is not the default module
	// global $shownavs;
	// $shownavs = true;

	// uncomment these lines if you want to hide the default navs even if this is the default module
	// global $shownavs;
	// $shownavs = false;
}
?>